::-webkit-scrollbar {
  width: 10px
}

::-webkit-scrollbar-track {
  /* box-shadow: inset 0 0 5px grey; */
  border-radius: 0
}

::-webkit-scrollbar-thumb {
  background: var(--main-color);
  border-radius: 0
}


/* header {
    position: fixed;
    z-index: 100;
    background: white;
  } */
.hyperlink-1 {
  color: black;
}

header .navigation a {
  padding: 8px 15px;
  line-height: normal;
}

/* #navbar .navigation a {
    margin: 0px;
  } */

header .navigation a:hover {
  background: var(--main-color);
  color: rgb(255, 255, 255);
}

.dropdown {
  float: right;
  overflow: hidden;
}

.dropdown .dropbtn {
  font-size: 18px;
  border: none;
  outline: none;
  color: rgb(0, 0, 0);
  padding: 8px 20px;
  background-color: inherit;
  font-family: inherit;
  margin: 0;
  letter-spacing: 1px;
  border-radius: 5px;
  width: 150px;
}

.navbar a:hover,
.dropdown:hover .dropbtn {
  background-color: var(--main-color);
  color: white;
  transition: 0.3s;
  /* border-radius: 10px; */

}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #ffffff;
  min-width: 150px;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  z-index: 1;
  border-radius: 5px;
}

.dropdown-content a {
  float: none;
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  text-align: left;
}

.dropdown-content a:hover {
  background-color: rgb(255, 255, 255);
}

.dropdown:hover .dropdown-content {
  display: block;
}

#navbar .navigation .dropdown .dropdown-content a {
  margin: 5px;
  border-radius: 0px;
  padding: 10px;
  text-align: center;
  border-radius: 5px;
}

/* #navbar .navigation .dropdown .dropdown-content a:hover {
    background-color: rgb(3, 92, 167);
    color: rgb(255, 255, 255); */
/* border-radius: 10px; */
/* } */

#navbar .navigation .dropdown .dropdown-content .link:hover {
  background-color: var(--color);
  color: rgb(255, 255, 255);
  /* border-radius: 10px; */
}

.sticky {
  position: fixed;
  top: 0;
  width: 100%;
}

.category_dropdown {
  margin-bottom: 30px;
  padding: 10px;
  width: 100%;
  align-self: center;
  background-color: rgb(246, 248, 250);
  border-radius: 5px;
}

/* Add some top padding to the page content to prevent sudden quick movement (as the navigation bar gets a new position at the top of the page (position:fixed and top:0) */
.sticky+.content {
  padding-top: 60px;
}


.scolling {
  box-shadow: 0 1px 1px rgb(0 0 0 / 8%), 0 2px 2px rgb(0 0 0 / 12%), 0 4px 4px rgb(0 0 0 / 16%), 0 8px 8px rgb(0 0 0 / 5%);
  transition: box-shadow 0.8s;

}

.scroll_at_top {
  box-shadow: 0 0px 0px rgb(0 0 0 / 0%), 0 0px 0px rgb(0 0 0 / 0%), 0 0px 0px rgb(0 0 0 / 0%), 0 0px 0px rgb(0 0 0 / 0%);
  transition: box-shadow 0.8s;

}

.content {
  /* margin: 100px auto; */
  padding: 110px 0px;
  min-height: 100vh;
}

.content .info {
  /* background-color: bisque; */
  flex-direction: column;
  margin-top: 30px;
}

.content .info h2 {
  text-align: left;
  /* margin-left: 30px; */
  font-size: 25px;
  margin-top: 30px;
  font-weight: 300;
}

.content .info .main {
  display: flex;
  flex-direction: row;

}

.content .info .main .main-image {
  width: 475px;
  margin-right: 25px;
  border-radius: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  /* margin: auto 50px auto auto; */
  box-shadow: rgb(0 0 0 / 19%) 0px 10px 20px, rgb(0 0 0 / 23%) 0px 6px 6px;
}

.content .info .main .main-image img {
  /* height: 300px; */
  /* width: auto; */
  margin: auto;
  border-radius: 10px;
  display: block;
  box-shadow: none;
}

.content .info .main .main-image .pswp-gallery {
  display: block;
  /* height: 100%; */
  width: auto;
}

.content .info .main .main-image .pswp-gallery a {
  max-height: 100%;
  max-width: 100%;
}

.content .info .main .main-text {
  width: 475px;
  margin-left: 25px;
  text-align: left;
  min-height: 500px;
}

.content .info .main .main-text h2 {
  margin-top: 20px;
  margin-bottom: 20px;
  font-size: 30px;
  margin-left: 0px;
}

.content .info .main .main-text P {
  line-height: 30px;
  margin-bottom: 30px;
}

.content .info .main .main-text ul {
  list-style-position: inside;
  margin-bottom: 30px;
}

.content .info .main .main-text ul li {
  margin-bottom: 5px;
}

.btn_try_me {
  padding: 8px 15px;
  background: var(--main-color);
  border-radius: 5px;
  color: white;
  font-size: 16px;
  font-weight: 500;
  text-decoration-line: none;
}

.content .info #sub_image_form {
  text-align: center;
  display: none;
}

/* .content .info #edit_product_detail {
    display: none;

  } */

.content .info .form-format {
  /* background-color: rgb(234, 236, 238); */
  border-radius: 10px;
  border: 1.5px solid rgb(214, 214, 214);
  max-width: 500px;
  width: 100%;
  margin: 0px auto;
  /* padding: 40px; */
  /* display: flex; */
}

.content .info .form-format h2 {
  text-align: center;
  background-color: var(--main-color);
  border-radius: 7px 7px 0px 0px;
  color: #fff;
  margin: 0px;

}

.content .info .form-format .form {
  padding: 30px;
}

.content .info .form-format .form form textarea,
.content .info .form-format .form form input {
  background-color: rgb(246, 248, 250);
  border: 1px solid rgba(0, 0, 0, 0.103);
  border-radius: 5px;
  width: 100%;
  text-align: left;
  padding: 10px;
}

.content .info .form-format textarea,
input:not(:last-child) {
  margin-bottom: 20px;
}

.content .info .form-format .form input {
  height: 50px;
}

.content .info .form-format .form form p {
  margin-bottom: 10px;
}

.content .info .form-format .form form #input-file {
  background-color: #fff;
  border-color: #fff;
  height: 30px;
  padding: 0px;
}

.content .info .form-format .form form #input-submit {
  background-color: var(--main-color);
  border-color: rgb(75, 96, 114);
  color: #fff;
  font-size: 20px;
  text-align: center;
  cursor: pointer;
}


.pswp-gallery .pswp-gallery__item a img {
  height: 150px;
  width: auto;
  margin: 5px;
  border-radius: 8px;
  box-shadow: rgb(0 0 0 / 19%) 0px 10px 20px, rgb(0 0 0 / 23%) 0px 6px 6px;
}

.pswp__dynamic-caption {
  color: #fff;
  position: absolute;
  width: 100%;
  left: 0;
  top: 0;
  transition: opacity 120ms linear !important;
  /* override default */
}

.pswp-caption-content {
  display: none;
}

.pswp__dynamic-caption a {
  color: #fff;
}

.pswp__dynamic-caption--faded {
  opacity: 0 !important;
}

.pswp__dynamic-caption--aside {
  width: auto;
  max-width: 300px;
  padding: 20px 15px 20px 20px;
  margin-top: auto;
  margin-bottom: auto;
  /* margin: auto; */
}

.pswp__dynamic-caption--below {
  width: auto;
  max-width: 700px;
  padding: 15px 0 0;
}

.pswp__dynamic-caption--on-hor-edge {
  padding-left: 15px;
  padding-right: 15px;
}

.pswp__dynamic-caption--mobile {
  width: 100%;
  background: rgba(0, 0, 0, 0.5);
  padding: 10px 15px;
  right: 0;
  bottom: 0;

  /* override styles that were set via JS.
        as they interfere with size measurement */
  top: auto !important;
  left: 0 !important;
}

#admin_panel {
  background-color: rgb(234, 236, 238);
  padding: 20px;
  border-radius: 10px;
  text-align: center;
  box-shadow: rgba(0, 0, 0, 0.15) 1.95px 1.95px 2.6px;
  display: flex;
  flex-direction: column;
  margin: 30px 0px;

}

#admin_panel h2 {
  margin-top: 0px;
  margin-bottom: 20px;
  text-align: center;
}

#admin_panel a {
  display: flex;
  align-items: center;
  font-size: 16px;
  text-decoration: none;
  color: black;
  padding: 10px;
  background-color: #ffffff;
  border-radius: 10px;
  border: 1px solid #cecccc;
  justify-content: center;
  width: 100%;
}

#admin_panel button,
#admin_panel_reorder {
  /* margin-top: 30px; */
  font-size: 16px;
  text-decoration: none;
  color: black;
  padding: 10px;
  background-color: #ffffff;
  border-radius: 10px;
  border: 1px solid #cecccc;
  cursor: pointer;
  width: 100%;

}

#admin_panel a:hover,
#admin_panel button:hover,
#admin_panel_reorder:hover {
  background-color: var(--main-color);
  color: white;
  transition: 0.3s;
}

#admin_panel_reorder {
  margin-bottom: 30px;
}

.admin_panel_row {
  display: flex;
  justify-content: space-around;
  margin-bottom: 20px;
  gap: 20px;

}

.admin_panel_row h2 {
  margin-bottom: 30px;

}

.admin_panel_row h3 button {
  height: 40px;
  width: 100px;
}

table {
  font-family: Arial, Helvetica, sans-serif;
  border-collapse: collapse;
  width: 100%;
  /* margin: 30px 0px; */
}

table td,
table th {
  border: 1px solid #ddd;
  padding: 8px;
  text-align: center;
}

table tr:nth-child(even) {
  background-color: #f2f2f2;
}

table tr:hover {
  background-color: #f0f0f0;
}

table th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
  background-color: var(--main-color);
  color: white;
}

.table_scrollbar tbody tr td #input-Description {
  width: 100%;
  min-width: 300px;
  height: 100%;
  min-height: 100px;
  padding: 10px;
  border-radius: 5px;
  border: 1px solid gray;
}

.table_scrollbar tbody tr td #input-title {
  width: 100%;
  min-width: 200px;
  height: auto;
  padding: 10px;
  border-radius: 5px;
  border: 1px solid gray;
}

.flex-row {
  display: flex;
  /* flex-direction: row; */
  justify-content: center;
  margin: 0px auto;
  /* background: linear-gradient(rgba(40, 48, 90, 0.9),  rgba(40, 58, 90, 0.9)), url(../image/111.jpg) fixed center center; */
}

.contact-us {
  border-top: 10px solid var(--main-color);
  padding: 80px 0px;

}

.contact-us h2 {
  text-align: center;
  font-size: 2rem;
  margin-bottom: 30px;
  font-weight: 300;
  letter-spacing: 2px;
  line-height: 60px;

}

.contact-us .flex-row {
  justify-content: space-between;
  max-width: 1200px;
}

.contact-us .flex-row p {
  width: 300px;
  text-align: center;
  font-size: 20px;
  font-weight: 600;
  line-height: 34px;
}

.contact-us .flex-row p i {
  margin-right: 15px;
}

.contact-us .flex-row p span {
  font-size: 18px;
  font-weight: 300;
}

.pcb-details {
  max-width: 1000px;
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.pcb-container {
  display: flex;
  gap: 30px;
  justify-content: center;
  align-self: center;
}

.pcb-container img {
  height: 155px;
}

.pcb-container h4 {
  font-size: 20px;
  font-weight: 500;
}

@media (min-width: 1501px) {
  #navbar .navigation {
    display: flex;
    justify-content: space-between;
    gap: 30px;
    padding: 10px;
    /* background-color: white; */
    border-radius: 10px;
  }

  .dropdown .dropbtn {
    font-weight: 500;
  }

  header img {
    /* padding: 10px 20px; */
    /* background-color: white; */
    border-radius: 10px;
    /* box-shadow: rgba(0, 0, 0, 0.4) 0px 2px 4px, rgba(0, 0, 0, 0.3) 0px 7px 13px -3px, rgba(0, 0, 0, 0.2) 0px -3px 0px inset; */
  }

  .dropbtn_admin {
    width: 189px;
  }
}

@media(max-width: 1200px) {
  .dropbtn_admin {
    width: 205px;
  }

  .content .info {
    margin: 0px 30px;
  }

  .content .info .main {
    flex-direction: column;
    /* margin-bottom: 0px; */
  }

  .content .info .main .main-image {
    margin: auto;
    width: 100%;
    min-height: 300px;
  }

  .content .info .main .main-text {
    margin: auto;
    width: auto;
    min-height: 0px;
  }

  .admin_panel_row {
    flex-direction: column;
    gap: 30px;
  }

  .content .info .form-format .form {
    padding: 20px 30px;
  }

  .content .info .admin_panel h3:not(:last-child) {
    margin-bottom: 30px;
  }

  .flex-row {
    flex-direction: column;
  }

  .flex-row p {
    margin: 30px auto;
  }

  /* #navbar .navigation .dropdown {
      margin-bottom: 50px;
    } */

  .dropdown .dropbtn {
    font-weight: 700;
  }

  .content .info .main .main-image img {
    max-height: 300px;
    width: 100%;
    height: auto;
  }
}

@media screen and (max-width: 820px) {
  .table_scrollbar {
    display: block;
    overflow-x: auto;
    white-space: nowrap;
  }
}

.btn-delete {
  height: 50px;
  background: white;
  border: 1px solid black;
  padding: 10px;
  border-radius: 5px;
}

.btn-delete:hover {
  background-color: #000;
  color: #fff;
  transition: 0.3s;
  cursor: pointer;
}